/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.ow2.frascati.model.osgi.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import org.eclipse.stp.sca.Implementation;

import org.ow2.frascati.model.osgi.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.ow2.frascati.model.osgi.OsgiPackage
 * @generated
 */
public class OsgiAdapterFactory extends AdapterFactoryImpl {
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static OsgiPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public OsgiAdapterFactory() {
	if (modelPackage == null) {
	  modelPackage = OsgiPackage.eINSTANCE;
	}
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object) {
	if (object == modelPackage) {
	  return true;
	}
	if (object instanceof EObject) {
	  return ((EObject)object).eClass().getEPackage() == modelPackage;
	}
	return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected OsgiSwitch<Adapter> modelSwitch =
	new OsgiSwitch<Adapter>() {
	  @Override
	  public Adapter caseDocumentRoot(DocumentRoot object) {
		return createDocumentRootAdapter();
	  }
	  @Override
	  public Adapter caseOsgiImplementation(OsgiImplementation object) {
		return createOsgiImplementationAdapter();
	  }
	  @Override
	  public Adapter caseDocumentRoot_1(org.eclipse.stp.sca.DocumentRoot object) {
		return createDocumentRoot_1Adapter();
	  }
	  @Override
	  public Adapter caseImplementation(Implementation object) {
		return createImplementationAdapter();
	  }
	  @Override
	  public Adapter defaultCase(EObject object) {
		return createEObjectAdapter();
	  }
	};

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target) {
	return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link org.ow2.frascati.model.osgi.DocumentRoot <em>Document Root</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see org.ow2.frascati.model.osgi.DocumentRoot
   * @generated
   */
  public Adapter createDocumentRootAdapter() {
	return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link org.ow2.frascati.model.osgi.OsgiImplementation <em>Implementation</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see org.ow2.frascati.model.osgi.OsgiImplementation
   * @generated
   */
  public Adapter createOsgiImplementationAdapter() {
	return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link org.eclipse.stp.sca.DocumentRoot <em>Document Root</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see org.eclipse.stp.sca.DocumentRoot
   * @generated
   */
  public Adapter createDocumentRoot_1Adapter() {
	return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link org.eclipse.stp.sca.Implementation <em>Implementation</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see org.eclipse.stp.sca.Implementation
   * @generated
   */
  public Adapter createImplementationAdapter() {
	return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter() {
	return null;
  }

} //OsgiAdapterFactory
