/***
 * OW2 FraSCAti Tinfi
 * Copyright (C) 2011-2021 Inria, Univ. Lille
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Lionel Seinturier
 */

package org.ow2.frascati.tinfi.opt.oo.light;

import org.objectweb.fractal.juliac.api.JuliacItf;
import org.objectweb.fractal.juliac.api.desc.MembraneDesc;
import org.objectweb.fractal.juliac.api.visit.BlockSourceCodeVisitor;
import org.objectweb.fractal.juliac.core.opt.FCSourceCodeGeneratorItf;
import org.objectweb.fractal.juliac.opt.oo.InitializerOOCtrlClassGenerator;

/**
 * Generator for object-oriented control membrane initializer. An membrane
 * initializer provides the code that is common to all component initializers
 * for a given membrane descriptor.
 *
 * @author Lionel Seinturier <Lionel.Seinturier@univ-lille.fr>
 * @since 1.4.5
 */
public class MembraneInitializerOOCtrlClassGenerator
extends org.ow2.frascati.tinfi.opt.oo.MembraneInitializerOOCtrlClassGenerator {

	public MembraneInitializerOOCtrlClassGenerator(
		JuliacItf jc, FCSourceCodeGeneratorItf fcscg,
		InitializerOOCtrlClassGenerator icg,
		MembraneDesc<?> membraneDesc, Object source ) {

		super(jc,fcscg,icg,membraneDesc,source);
	}

	@Override
	protected void generateNewFcControllerInstantiationMethod( BlockSourceCodeVisitor mv ) {
		// The method will be implemented by subclasses generated by InitializerOOCtrlClassGenerator
		mv.visitIns("throw","new",UnsupportedOperationException.class.getName(),"()");
	}
}
