/***
 * OW2 FraSCAti Tinfi
 * Copyright (C) 2009-2021 Inria, Univ. Lille
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: frascati@ow2.org
 *
 * Author: Lionel Seinturier
 */

package org.ow2.frascati.tinfi.api;

import java.lang.reflect.Method;

import org.objectweb.fractal.api.Interface;

/**
 * A filter for {@link Interface},{@link Method} pairs.
 *
 * @author Lionel Seinturier <Lionel.Seinturier@univ-lille.fr>
 * @since 1.0
 */
public interface InterfaceMethodFilter {

	/**
	 * Test whether the specified pair {@link Interface},{@link Method} should
	 * be included.
	 *
	 * @param itf     the {@link Interface} to be tested
	 * @param method  the {@link Method} to be tested
	 * @return  if the <code>itf</code>,<code>method</code> should be included
	 */
	public boolean accept( Interface itf, Method method );
}
